Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim.dynamic
Class PointListMoveSpec

    java.lang.Object
      ix.isim.dynamic.PointListMoveSpec

All Implemented Interfaces:
  MoveSpec

    public class PointListMoveSpec

extends java.lang.Object
implements MoveSpec

Title: I-X Simple Object Animation Tool

Copyright: Copyright (c) 2005

Company: AIAI, University of Edinburgh

Field Summary
`(package private) static double` | `eRad`
`(package private) long` | `startTime`

Constructor Summary
`PointListMoveSpec()`
`PointListMoveSpec(java.io.StreamTokenizer st)`

Method Summary
`boolean` | `finished()`
`double` | `getCurrentLatitude()`
`double` | `getCurrentLongitude()`
`double` | `getSpeed()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eRad

    static final double eRad

See Also:
  Constant Field Values

### startTime

    long startTime

Constructor Detail

### PointListMoveSpec

    public PointListMoveSpec()

### PointListMoveSpec

    public PointListMoveSpec(java.io.StreamTokenizer st)
                      throws java.text.ParseException,
                             java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

Method Detail

### getSpeed

    public double getSpeed()

  Specified by:
    `getSpeed` in interface `MoveSpec`

### reset

    public void reset()

  Specified by:
    `reset` in interface `MoveSpec`

### getCurrentLatitude

    public double getCurrentLatitude()

  Specified by:
    `getCurrentLatitude` in interface `MoveSpec`

### getCurrentLongitude

    public double getCurrentLongitude()

  Specified by:
    `getCurrentLongitude` in interface `MoveSpec`

### finished

    public boolean finished()

  Specified by:
    `finished` in interface `MoveSpec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD